## rbootd 2.0

=== Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/4/93
#	$NetBSD: Makefile,v 1.4 1995/08/21 17:05:08 thorpej Exp $

PROG=	rbootd
SRCS=	bpf.c conf.c parseconf.c rbootd.c rmpproto.c utils.c
MAN=	rbootd.8

.include <bsd.prog.mk>

## rbootd 2.0-5

=== debian/changelog ===
rbootd (2.0-5) unstable; urgency=low

  * Fixed a mistake in the control file 
  * Package (2.0-3) didn't print a warning when upgraded to 2.0-4;
    this has now been corrected.
  * README no longer refers to /usr/local/lib
  * URL in README updated (closing bug #49456)
  * Package now suggests bootparamd and nfs-server rather than
    netstd (closing bug #49384)

 -- Alan Bain <afrb2@debian.org>  Sat, 4 Nov 1999 20:00:00 +0000

rbootd (2.0-4) unstable; urgency=low
  
  * Updated the control file to cover PA-RISC workstations
  * Fixed a potential buffer overrun problem
  * Incorporated a patch from Peter Maydell removing obfuscated C line
  * Corrected an error in the manpage
  * Removed a skeleton file accidentally left in distribution
  * Removed creation of /usr/local/lib/rbootd directory
  * postinst now displays a message about the move
  * Moved documentation to /usr/share directories

 -- Alan Bain <afrb2@debian.org>  Tue, 23 Nov 1999 14:05:00 +0000

rbootd (2.0-3.2) unstable; urgency=low

  * Non-maintainer release
  * (Joey Added rbootd-singlefile.diff from The Puffin Group / PA-RISC
    porters from the srpm as found at
    ftp://puffin.external.hp.com/pub/parisc/binaries/SRPMS/rbootd-2.0-2.src.rpm

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 25 Oct 1999 02:41:10 +0200

rbootd (2.0-3.1) unstable; urgency=low

  * Non-maintainer release
  * Extended changelog
  * Changed from /usr/local/lib/rbootd to /var/lib/rbootd (closes:
    Bug#47618)
  * Added that directory to .deb files

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 24 Oct 1999 19:23:12 +0200

rbootd (2.0-3) unstable; urgency=low
  
  * Added README file provided by Peter Maydell which gives
    useful instructions on how to set up rbootd on a debian
    system.

  -- Alan Bain <afrb2@cam.ac.uk>  Tue, 2 Feb 1999 18:00:00 +0000

rbootd (2.0-2) unstable; urgency=low

  * Changed init script name to rbootd rather than rbootd_init
  * Moved bootfile location to /usr/local/lib/rboot rather than
    /export/hp/root (!)
  * compile options now include -g
  * strip binary in situ rather than before installing
  * sequence no is 20 rather than 35 
  * copyright now refers to BSD copyright
  * capitalisation fixed
  * manpage paths fixed

  -- Alan Bain <afrb2@cam.ac.uk>  Sun, 21 Jun 1998 01:30:00 +0100

rbootd (2.0-1) unstable; urgency=low

  * Created package for first time from files on Peter Maydell's
    website http://www.chiark.greenend.org.uk/~pmaydell
  * Created scripts to start and stop rbootd with a null config
    file to start with.

 -- Alan Bain <afrb2@cam.ac.uk>  Mon, 15 Jun 1998 10:00:00 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: rbootd
Section: net
Priority: extra
Maintainer: Alan Bain <afrb2@debian.org> 
Standards-Version: 3.0.1.1

Package: rbootd
Architecture: any
Depends: netbase (>=3.00), ${shlibs:Depends}
Suggests: bootparamd,nfs-server
Description: Remote Boot Daemon
 The rbootd daemon is used for booting some HP workstations
 over the network (such as the 9000/300 and 9000/400 series).
 It can also boot PA RISC workstations.  It handles the first
 stage of the boot sequence and can be used to start booting
 Linux, NetBSD or HPUX.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.

# Modified to be rules for rbootd by Alan Bain 1998

# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=rbootd

ARCH  := $(shell dpkg --print-architecture)


export BASEDIR=$(shell pwd)/debian/tmp

## Note must use the special makefile to avoid needing BSD make

build:
	$(checkdir)
	$(MAKE) -f Makefile.linux CFLAGS="-O2 -g -Wall" rbootd
	touch build

clean:
	$(checkdir)
	$(MAKE) -f Makefile.linux clean
	-rm -f build
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

# Install and strip rather than strip binary left here

binary-arch:	checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	install -d ${BASEDIR}/DEBIAN
	install -o root -g root -m 0755 -s rbootd ${BASEDIR}/usr/sbin
	install -o root -g root -m 0755 debian/rbootd.init.d ${BASEDIR}/etc/init.d/rbootd
	install -o root -g root -m 0644 etc-rbootd/* ${BASEDIR}/etc
	install -o root -g root -m 0644 rbootd.8 ${BASEDIR}/usr/share/man/man8
	@if [ -f ${BASEDIR}/usr/share/man/man8/rbootd.8 ]; then \
	  gzip -9v ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \
	fi

	install -o root -g root -m 0644 README \
	  ${BASEDIR}/usr/share/doc/rbootd/README
	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/README ]; then \
	  gzip -9v ${BASEDIR}/usr/share/doc/rbootd/README ;\
	fi
	install -o root -g root -m 0644 debian/copyright \
	  ${BASEDIR}/usr/share/doc/rbootd/copyright
	install -o root -g root -m 0644 debian/changelog \
	  ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian
       
	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian ]; then \
	  gzip -9v ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian ; \
	fi
	install -o root -g root -m 0644 debian/conffiles \
	  ${BASEDIR}/DEBIAN
	install -o root -g root -m 0755 debian/{postinst,prerm,postrm} \
	  ${BASEDIR}/DEBIAN	
	install -d ${BASEDIR}/var/lib/rbootd
	dpkg-shlibdeps rbootd
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## rbootd 3.0

=== debian/changelog ===
rbootd (3.0) unstable; urgency=medium

  [ Helge Deller ]
  * Update copyright file
  * Merge Makefile.linux into Makefile
  * New Homepage & maintainer
  * Make build reproduceable (closes: Bug#776951)
  * Fix various lintian warnings
  * Drop trailing whitespaces in changelog
  * Fix debian-rules-missing-recommended-target warning
  * rbootd: Exit with return code 0 when terminated
  * Add systemd unit file
  * Convert to Debian native format
  * Drop trailing spaces in debian/rules file
  * Clean up rbootd init.d file, add status and LSB description
  * Add hardening flags
  * Fix copyright tag in debian/copyright, and wrong copyright statement for
    the main source code
  * Fix copying changelog file in debian/rules

 -- Helge Deller <deller@gmx.de>  Thu, 15 Oct 2020 23:35:39 +0200

rbootd (2.0-11) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #934433)
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.

 -- Paulo Henrique Hebling Correa <contato@p2hc.com.br>  Tue, 12 May 2020 22:26:12 -0300

rbootd (2.0-10) unstable; urgency=low

  * New-Maintainer upload (closes: Bug#465907)
  * Added support for nostrip build option (closes: Bug#437883)
  * Improved packaging
  * Let rbootd decide the interface to use (closes: Bug#474709)
  * Added support for default file with interface setting
  * Adjusted changelog
  * Code improvements
    . Avoid trigraph
    . Include <time.h> instead of <sys/time.h> for time()
    . Removed obfuscated C line that was supposed to be dropped in 2.0-4

 -- Martin Schulze <joey@infodrom.org>  Mon, 07 Apr 2008 17:20:32 +0200

rbootd (2.0-9) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group
  * Added LSB formatted dependency info in init.d script (closes: #469713)
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 11:27:50 +0200

rbootd (2.0-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use invoke-rc.d; closes: #367729.
  * Remove bashisms from debian/rules; closes: #379635.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 02 Sep 2007 02:04:31 -0400

rbootd (2.0-8) unstable; urgency=low

  * Removed debian/changelog.{rej,orig}
  * Corrected PF_SOCKET to PF_PACKET in pcap.c

 -- Alan Bain <afrb2@debian.org>  Mon, 19 Sep 2005 22:18:57 +0100

rbootd (2.0-7) unstable; urgency=low

  * Changed to use PF_PACKET socket instead of SOCK_PACKET
  * updated copyright to point to common-licenses
  * removed /usr/doc symlink creation
  * updated debian standards

 -- Alan Bain <afrb2@debian.org>  Tue, 13 Sep 2005 23:20:23 +0100

rbootd (2.0-6.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:29 +0200

rbootd (2.0-6) unstable; urgency=low

  * Added build-depends on libpcap-dev closing bug #84507
  * Corrected upstream source files

 -- Alan Bain <afrb2@debian.org>  Tue, 3 Jul 2001 16:00:00 +0100

=== debian/control ===
Source: rbootd
Section: net
Priority: optional
Maintainer: Helge Deller <deller@gmx.de>
Standards-Version: 4.5.0
Build-Depends: libpcap-dev
Rules-Requires-Root: binary-targets
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git
Vcs-Git: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git
Vcs-Browser: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git

Package: rbootd
Architecture: any
Depends: netbase, lsb-base, ${shlibs:Depends}
Suggests: bootparamd,nfs-server
Description: Remote Boot Daemon
 The rbootd daemon is used for booting some HP workstations
 over the network (such as the 9000/300 and 9000/400 series).
 It can also boot some PA RISC workstations (such as the 9000/730).
 It handles the first stage of the boot sequence and can be used to
 start booting Linux, NetBSD or HPUX.

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,35 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 package=rbootd
 
 ARCH  := $(shell dpkg --print-architecture)
 
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS += $(shell getconf LFS_CFLAGS)
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+STRIP = -s
+endif
 
 export BASEDIR=$(shell pwd)/debian/tmp
 
 ## Note must use the special makefile to avoid needing BSD make
 
+build-arch: build
+build-indep: build
+
 build:
 	$(checkdir)
-	$(MAKE) -f Makefile.linux CFLAGS="-O2 -g -Wall" rbootd
+	$(MAKE) CFLAGS="$(CFLAGS)" rbootd
 	touch build
 
 clean:
 	$(checkdir)
-	$(MAKE) -f Makefile.linux clean
+	$(MAKE) clean
 	-rm -f build
 	-rm -rf debian/tmp debian/files* core debian/substvars
 
@@ -44,33 +56,34 @@
 	install -d debian/tmp
 	cd debian/tmp;install -d `cat ../dirs`
 	install -d ${BASEDIR}/DEBIAN
-	install -o root -g root -m 0755 -s rbootd ${BASEDIR}/usr/sbin
+	install -o root -g root -m 0755 $(STRIP) rbootd ${BASEDIR}/usr/sbin
+	install -o root -g root -m 0644 debian/default ${BASEDIR}/etc/default/rbootd
 	install -o root -g root -m 0755 debian/rbootd.init.d ${BASEDIR}/etc/init.d/rbootd
-	install -o root -g root -m 0644 etc-rbootd/* ${BASEDIR}/etc
+	install -o root -g root -m 0644 etc-rbootd/rbootd.conf ${BASEDIR}/etc
+	install -o root -g root -m 0644 rbootd.service ${BASEDIR}/lib/systemd/system
 	install -o root -g root -m 0644 rbootd.8 ${BASEDIR}/usr/share/man/man8
 	@if [ -f ${BASEDIR}/usr/share/man/man8/rbootd.8 ]; then \
-	  gzip -9v ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \
+	  gzip -9vn ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \
 	fi
 
 	install -o root -g root -m 0644 README \
 	  ${BASEDIR}/usr/share/doc/rbootd/README
 	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/README ]; then \
-	  gzip -9v ${BASEDIR}/usr/share/doc/rbootd/README ;\
+	  gzip -9vn ${BASEDIR}/usr/share/doc/rbootd/README ;\
 	fi
 	install -o root -g root -m 0644 debian/copyright \
 	  ${BASEDIR}/usr/share/doc/rbootd/copyright
 	install -o root -g root -m 0644 debian/changelog \
-	  ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian
-       
-	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian ]; then \
-	  gzip -9v ${BASEDIR}/usr/share/doc/rbootd/changelog.Debian ; \
+	  ${BASEDIR}/usr/share/doc/rbootd/changelog
+	@if [ -f ${BASEDIR}/usr/share/doc/rbootd/changelog ]; then \
+	  gzip -9vn ${BASEDIR}/usr/share/doc/rbootd/changelog ; \
 	fi
 	install -o root -g root -m 0644 debian/conffiles \
 	  ${BASEDIR}/DEBIAN
-	install -o root -g root -m 0755 debian/{postinst,prerm,postrm} \
+	install -o root -g root -m 0755 debian/postinst debian/prerm debian/postrm \
 	  ${BASEDIR}/DEBIAN	
 	install -d ${BASEDIR}/var/lib/rbootd
-	dpkg-shlibdeps rbootd
+	dpkg-shlibdeps ${BASEDIR}/usr/sbin/rbootd
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go-ws debian/tmp

## rbootd 3.1

=== debian/changelog ===
rbootd (3.1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #934433)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 07:37:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rbootd
 Section: net
 Priority: optional
-Maintainer: Helge Deller <deller@gmx.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.5.0
 Build-Depends: libpcap-dev
 Rules-Requires-Root: binary-targets

## rbootd 3.2

=== debian/changelog ===
rbootd (3.2) unstable; urgency=medium

  * QA upload.
  * Install systemd units into /usr. (DEP17 M2)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Jan 2024 18:53:40 +0100

## rbootd 3.2build2

=== debian/changelog ===
rbootd (3.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:40 +1100

rbootd (3.2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:02:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rbootd
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.5.0
 Build-Depends: libpcap-dev
 Rules-Requires-Root: binary-targets

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	install -o root -g root -m 0644 debian/default ${BASEDIR}/etc/default/rbootd
 	install -o root -g root -m 0755 debian/rbootd.init.d ${BASEDIR}/etc/init.d/rbootd
 	install -o root -g root -m 0644 etc-rbootd/rbootd.conf ${BASEDIR}/etc
-	install -o root -g root -m 0644 rbootd.service ${BASEDIR}/lib/systemd/system
+	install -o root -g root -m 0644 rbootd.service ${BASEDIR}/usr/lib/systemd/system
 	install -o root -g root -m 0644 rbootd.8 ${BASEDIR}/usr/share/man/man8
 	@if [ -f ${BASEDIR}/usr/share/man/man8/rbootd.8 ]; then \
 	  gzip -9vn ${BASEDIR}/usr/share/man/man8/rbootd.8 ; \

## rbootd 3.3

=== Makefile ===
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)

PROG=	rbootd
SRCS=	pcap.c conf.c parseconf.c rbootd.c rmpproto.c utils.c
OBJS =  pcap.o conf.o parseconf.o rbootd.o rmpproto.o utils.o
MAN=	rbootd.8

# We used to -lbsd but that seems to have gone away with glibc...
LFLAGS = -lpcap

# -Wall picks up all the static char rcsid[] stuff but is otherwise clean
CFLAGS = -O2 -Wall -Wno-unused-variable
rbootd:	$(OBJS)
	$(CC) -o $@ $(OBJS) $(LFLAGS)

clean:
	rm -f *.o
	rm -f rbootd
	rm -f rbootd.8.gz

rbootd.8.gz: $(MAN)
	gzip -9 < rbootd.8 > rbootd.8.gz

all: rbootd rbootd.8.gz

INSTALL = install
IFLAGS  = -o root -g root
INSTALL += ${IFLAGS}
DESTDIR = ./root

install: all
	${INSTALL} -d ${DESTDIR}/etc \
		${DESTDIR}/usr/sbin \
		${DESTDIR}/var/lib/rbootd \
		${DESTDIR}/usr/share/man/man8
	${INSTALL} -m644 etc-rbootd/rbootd.conf ${DESTDIR}/etc
	${INSTALL} -m755 rbootd ${DESTDIR}/usr/sbin
	${INSTALL} -m444 rbootd.8.gz ${DESTDIR}/usr/share/man/man8

else # BSD

# Makefile for BSD

PROG=	rbootd
SRCS=	bpf.c conf.c parseconf.c rbootd.c rmpproto.c utils.c
MAN=	rbootd.8

.include <bsd.prog.mk>

endif

=== debian/changelog ===
rbootd (3.3) unstable; urgency=medium

  * QA upload.

  [ Chris Hofstaedtler ]
  * d/control: drop Vcs-* fields not having _the_ Debian packaging
  * Use debhelper to build and install, set R3: no
  * Drop obsolete dependency lsb-base

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #941400)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 Jan 2025 17:56:30 +0100

=== debian/control ===
Source: rbootd
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), libpcap-dev
Rules-Requires-Root: no
Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/deller/rbootd.git

Package: rbootd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: netbase, ${shlibs:Depends}, ${misc:Depends}
Suggests: bootparamd, nfs-server
Description: Remote Boot Daemon
 The rbootd daemon is used for booting some HP workstations
 over the network (such as the 9000/300 and 9000/400 series).
 It can also boot some PA RISC workstations (such as the 9000/730).
 It handles the first stage of the boot sequence and can be used to
 start booting Linux, NetBSD or HPUX.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.

# Modified to be rules for rbootd by Alan Bain 1998

# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

package=rbootd

include /usr/share/dpkg/buildtools.mk

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS += $(shell getconf LFS_CFLAGS)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP_OPT = -s --strip-program=$(STRIP)
endif

export BASEDIR=$(shell pwd)/debian/tmp

## Note must use the special makefile to avoid needing BSD make

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" rbootd

override_dh_auto_install:
	true

## rbootd 3.3build1

=== debian/changelog ===
rbootd (3.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 09 Feb 2026 23:44:26 +0100
